
/* qhil.h				*/
/* header file for qhil.c		*/
/* Harold V. McIntosh 22 October 1989	*/

# define COLGRAF     4  /* graph resolution			*/
# define T80X25      3  /* text  resolution			*/
# define WHCYMAG     1  /* color quad for normal screen		*/
# define YELREGR     2  /* color quad for alternative screen	*/
# define AL	    36  /* edge of square of evolution		*/
# define KK	     2  /* number of states per cell		*/
# define BD	     4	/* number of cells per neighborhood	*/
# define DS         16	/* KK^BD= total number of neighborhoods	*/
# define GH      GK/KK	/* GK/KK= 1/KKth no. of neighborhoods	*/
# define SN	     3	/* number of semitotalistic sums	*/
# define TN	     5	/* number of totalistic sums		*/
# define NC	    10  /* number of symmetry classes w/o ctr	*/
# define TS	 NC*KK  /* number of symmetry classes w/ cntr	*/

# define XC	     6  /* maximum cycle length			*/
# define MM	    64  /* node count = KK^(mx cycle length)	*/
# define NN	    80  /* node count (>= MM, normally)		*/

# define UROW	     4	/* bottom of rule panel	 		*/
# define UCOL	     6	/* 1st column rule panel 		*/

// # include <bdos.h>
# include <stdio.h>

/* end qhil.h */
